application {
    title='TimeStamper'
    startupGroups = ['TimeStamperMain']

    // Should Griffon exit when no Griffon created frames are showing?
    autoShutdown = true

    // If you want some non-standard application class, apply it here
    //frameClass = 'javax.swing.JFrame'
}
mvcGroups {
    // MVC Group for "com.jdbernard.timestamper.PunchcardDialog"
    'PunchcardDialog' {
        model = 'com.jdbernard.timestamper.PunchcardDialogModel'
        view = 'com.jdbernard.timestamper.PunchcardDialogView'
        controller = 'com.jdbernard.timestamper.PunchcardDialogController'
    }

    // MVC Group for "com.jdbernard.timestamper.NotesDialog"
    'NotesDialog' {
        actions = 'com.jdbernard.timestamper.NotesDialogActions'
        model = 'com.jdbernard.timestamper.NotesDialogModel'
        view = 'com.jdbernard.timestamper.NotesDialogView'
        controller = 'com.jdbernard.timestamper.NotesDialogController'
    }

    // MVC Group for "com.jdbernard.timestamper.TimeStamperMain"
    'TimeStamperMain' {
        actions = 'com.jdbernard.timestamper.TimeStamperMainActions'
        model = 'com.jdbernard.timestamper.TimeStamperMainModel'
        view = 'com.jdbernard.timestamper.TimeStamperMainView'
        controller = 'com.jdbernard.timestamper.TimeStamperMainController'
    }

}
